Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.tasks
Class WriteEnwikiLineDocTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.WriteLineDocTask
              org.apache.lucene.benchmark.byTask.tasks.WriteEnwikiLineDocTask

All Implemented Interfaces:
  Cloneable

    public class WriteEnwikiLineDocTask

extends WriteLineDocTask

A `WriteLineDocTask` which for Wikipedia input, will write category pages to another file, while remaining pages will be written to the original file. The categories file is derived from the original file, by adding a prefix "categories-".

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.WriteLineDocTask
`DEFAULT_FIELDS, DEFAULT_SUFFICIENT_FIELDS, FIELDS_HEADER_INDICATOR, fname, SEP`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`WriteEnwikiLineDocTask(PerfRunData runData)`

Method Summary
`static File` | `categoriesLineFile(File f)` Compose categories line file out of original line file
`void` | `close()`
`protected PrintWriter` | `lineFileOut(Document doc)` Selects output line file by written doc.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.WriteLineDocTask
`doLogic, getLogMessage, setParams, supportsParams, writeHeader`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriteEnwikiLineDocTask

    public WriteEnwikiLineDocTask(PerfRunData runData)
                           throws Exception

Throws:
  `Exception`

Method Detail

### categoriesLineFile

    public static File categoriesLineFile(File f)

  Compose categories line file out of original line file

### close

    public void close()
               throws Exception

  Overrides:
    `close` in class `WriteLineDocTask`
  Throws:
    `Exception`

### lineFileOut

    protected PrintWriter lineFileOut(Document doc)

  Description copied from class: `WriteLineDocTask`
  Selects output line file by written doc. Default: original output line file.

  Overrides:
    `lineFileOut` in class `WriteLineDocTask`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.